# Navpoint Desktop

This is a simple Python program that will run two HTTP servers. One listens on
the computer's local IP address (e.g. `192.168.x.x`), port 8888, to receive
location updates from the [Navpoint
Mobile](https://gallery.appinventor.mit.edu/?galleryid=2c18ee4d-4eed-452a-9228-de8e813820d1)
Android app. The other listens on `127.0.0.1` (i.e. `localhost`), also on port
8888, for connections from a digital globe program such as [Google Earth
Pro](https://www.google.com/earth/about), allowing that program to track the
user's location. (Navpoint is not developed or endorsed by Google.)

Navpoint Desktop has a minimal GUI consisting only of a QR code. Simply scan
the code in Navpoint Mobile to establish a connection. The phone and computer
must be on the same Wi-Fi network; if a router is not available, enabling
mobile hotspot on the phone and connecting the computer to that network should
work well. An Internet connection is not needed; Navpoint works over a LAN.

Navpoint Desktop makes the geographic data available in KML format at
`http://127.0.0.1:8888/navpoint.kml`. The `navpoint_link.kml` file in this
repository contains a link to this URL configured to update every three
seconds; simply open this file in Google Earth or another compatible program to
connect to Navpoint Desktop.

## Licensing

Navpoint Desktop is released under the [GNU General Public License
v3.0](https://www.gnu.org/licenses/gpl-3.0.en.html), except the files
`navpoint/get_ip.py` and `navpoint/fix_path.py`, which are released under
[Creative Commons Attribution-ShareAlike 4.0
International](https://creativecommons.org/licenses/by-sa/4.0/) due to use of
code published on Stack Overflow
([`get_ip.py`](https://stackoverflow.com/a/28950776) and
[`fix_path.py`](https://stackoverflow.com/a/53605128)). 

Navpoint Mobile is released under the [GNU General Public License
v3.0](https://www.gnu.org/licenses/gpl-3.0.en.html).
